*If(strcmp(MatProp(Concrete_Type(ACI)),"Normal")==0)
  CONCRETE  1
*Else
  CONCRETE  3
*EndIf
  THICKNESS *MatProp(THICKNESS,Real)
*#
*Set var oJeImproved=0
*If(strcmp(MatProp(Material_Prototype),"CCModelB3Improved")==0 || strcmp(MatProp(Material_Prototype),"CCModelB4")==0)
*Set var oJeImproved=1
*EndIf
*#
*If(oJeImproved==1 || strcmp(MatProp(Material_Prototype),"CCShellMaterial")==0 || strcmp(MatProp(Material_Prototype),"CCBeam3DMaterial")==0)
*If(strcmp(MatProp(Material_Prototype),"CCModelB4")!=0)
  EPS_A_INF *MatProp(EPS_A_INF,Real)  
  TAU_A *MatProp(TAU_A,Real)  
  TIME_S *MatProp(TIME_S,Real)  
  H_A_INF *MatProp(H_A_INF,Real) 
*EndIf 
*EndIf
*#
*If(oJdeoShell==1)
*# // pro nepouzite materialy
*loop materials *NotUsed *all
*Set Var oMat=tcl(TK_FindMaterialNumber *MatProp(0) *MatProp(0))
*If(oMat==oMujMat)
*#
  FCYL28    *Operation(MatProp(Compresion_Strength-FC,Real)*SignMinus)
  E28       *MatProp(Young_s_Modulus-E,Real)
*If(oJeImproved==1 && (strcmp(MatProp(Material_Prototype),"CC3DNonLinCementitious2")==0 || strcmp(MatProp(Material_Prototype),"CC3DNonLinCementitious3")==0))
  FCYL0_28 *Operation(MatProp(Onset_of_Crushing-FC0,Real)*SignMinus) 
  FT28 *MatProp(Tension_Strength-FT,Real)
  GF28 *MatProp(Fracture_Energy-GF,Real)  
*EndIf 
*break
*EndIf
*End materials
*# // pro pouzite materialy
*loop materials *all
*Set Var oMat=tcl(TK_FindMaterialNumber *MatProp(0) *MatProp(0))
*If(oMat==oMujMat)
*#
  FCYL28    *Operation(MatProp(Compresion_Strength-FC,Real)*SignMinus)
  E28       *MatProp(Young_s_Modulus-E,Real)
*If(oJeImproved==1 && (strcmp(MatProp(Material_Prototype),"CC3DNonLinCementitious2")==0 || strcmp(MatProp(Material_Prototype),"CC3DNonLinCementitious3")==0))
  FCYL0_28 *Operation(MatProp(Onset_of_Crushing-FC0,Real)*SignMinus)
  FT28 *MatProp(Tension_Strength-FT,Real)
  GF28 *MatProp(Fracture_Energy-GF,Real)  
*EndIf 
*break
*EndIf
*End materials
*else
  FCYL28    *Operation(MatProp(Compresion_Strength-FC,Real)*SignMinus)
  E28       *MatProp(Young_s_Modulus-E,Real)
*If(oJeImproved==1 && (strcmp(MatProp(Material_Prototype),"CC3DNonLinCementitious2")==0 || strcmp(MatProp(Material_Prototype),"CC3DNonLinCementitious3")==0))
  FCYL0_28 *Operation(MatProp(Onset_of_Crushing-FC0,Real)*SignMinus)
  FT28 *MatProp(Tension_Strength-FT,Real)
  GF28 *MatProp(Fracture_Energy-GF,Real)  
*EndIf 
*EndIf
*#
  HUMIDITY  *MatProp(HUMIDITY,Real)
  DENSITY   *MatProp(DENSITY,Real)
  AC        *MatProp(AC,Real)
  WC        *MatProp(WC,Real)
*If(strcmp(MatProp(SHAPE_FACTOR),"slab")==0)
  SHAPE FACTOR 1.0
*ElseIf(strcmp(MatProp(SHAPE_FACTOR),"cylinder")==0)
  SHAPE FACTOR 1.15
*ElseIf(strcmp(MatProp(SHAPE_FACTOR),"square_prism")==0)
  SHAPE FACTOR 1.25
*ElseIf(strcmp(MatProp(SHAPE_FACTOR),"sphere")==0)
  SHAPE FACTOR 1.3
*ElseIf(strcmp(MatProp(SHAPE_FACTOR),"cube")==0)
  SHAPE FACTOR 1.55
*EndIf
  *MatProp(CURING) CURING
  End OF CURING TIME *MatProp(End_OF_CURING_TIME,Real)
  DELTA_AGE  *MatProp(DELTA_AGE)